<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="my-repeat">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h1>For para de elementos en arreglos</h1>
    <template is="dom-repeat" items="{{items}}" filter="isOlderThan40" sort="mySort" as="item">
      <h2>Elemento: </h2>
      <div>[[item.name]]-[[item.age]]</div>
      <template is="dom-if" if="{{isMyPartner(item.name)}}">
        <p>que trans [[item.name]] !! </p>
      </template>
      <template is="dom-if" if="{{!isMyPartner(item.name)}}">
        <p>no te conosco {{item.name}}</p>
      </template>
    </template>
  </template>

  <script>
    /**
     * `my-repeat`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MyRepeat extends Polymer.Element {
      static get is() { return 'my-repeat'; }
      static get properties() {
        return {
          items: {
            type: Array,
            value: [
              {name: "Emil", age: 28},
              {name: "Jonas", age: 58},
              {name: "Eirk", age: 48},
              {name: "Danielle", age: 38}
            ]
          }
        };
      }

      isOlderThan40(item) {
        return item.age > 40;
      }
      mySort(a, b) {
        var nameA = a.name.toUpperCase();
        var nameB = b.name.toUpperCase();
        if (nameA < nameB) {
          return -1;
        }
        if(nameA > nameB) {
          return 1;
        }
        return 0;
      }
      isMyPartner(val) {
        return val == 'Jonas';
      } 
    }

    window.customElements.define(MyRepeat.is, MyRepeat);
  </script>
</dom-module>
